Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.kie.api.task.model
Enum Status

    java.lang.Object
      java.lang.Enum<Status>
          org.kie.api.task.model.Status

All Implemented Interfaces:
  Serializable, Comparable<Status>

    public enum Status

extends Enum<Status>

Enum Constant Summary
`Completed`
`Created`
`Error`
`Exited`
`Failed`
`InProgress`
`Obsolete`
`Ready`
`Reserved`
`Suspended`

Method Summary
`static Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Created

    public static final Status Created

### Ready

    public static final Status Ready

### Reserved

    public static final Status Reserved

### InProgress

    public static final Status InProgress

### Suspended

    public static final Status Suspended

### Completed

    public static final Status Completed

### Failed

    public static final Status Failed

### Error

    public static final Status Error

### Exited

    public static final Status Exited

### Obsolete

    public static final Status Obsolete

Method Detail

### values

    public static Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Status c : Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Status valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.